get
https://staging.myrecurpay.com/api/admin/v2/customers
Get all subscribers registered on recurpay
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Query Params
| URL Parameters | Type | Description |
|---|---|---|
| limit | integer | The maximum number of results to show. Default - 100. |
Response Params
| Attribute | Type | Description |
|---|---|---|
| customers | array of objects | Object containing the customer details. See Customer - Object |
Customer Object
| Attribute | Type | Description |
|---|---|---|
| id | string | Customer id - A unique identifier for the customer. |
| string | The unique email address of the customer. | |
| first_name | string | The customer's first name. |
| last_name | string | The customer's last name. |
| phone | string | The customer's first name. |
| total_spent | float | The customer's total spent on subscriptions. |
| note | string | The customer's profile note. |
| addresses | object | All addresses linked to the customer. See Address - Object |
| default_address | object | Default address of the customer. See Address - Object |
| created_at | datetime | The date and time when the customer was created. |
| updated_at | datetime | The date and time when the customer was created. |
| channel | string | Channel where the customer was created. |
Address Object
| Attribute | Type | Description |
|---|---|---|
| first_name | string | The customer's first name. |
| last_name | string | The customer's last name. |
| address1 | string | The customer's mailing address. |
| city | string | The customer's city, town, or village. |
| province | string | The customer's region name. Typically a province, a state, or a prefecture. |
| zip | string | The customer's postal code, also known as zip, postcode, Eircode, etc. |
| phone | string | The customer's phone. |
| phone_prefix | string | The prefix or international code of the phone. |
| phone_country_code | string | The country code of the phone number. |
| country | string | The customer's country. |
